installing tk4.0 over tk3.6

installing tk4.0 over tk3.6

Post by adam meyerowi » Sun, 22 Oct 1995 04:00:00



Does anyone have an idea how to solve this problem.

I installed tk3.6 and tcl7.3 and then found out there was a newer version
tk4.0 and tcl7.4.  So i installed the new version over 3.6 and 7.3 withot
first unistalling the older versions.  The new one did not work it said
when i run wish that /usr/bin/wish that file not found or something like that
even tho wish is there.  So i tried to do it again the right way so i
uninstalled the new version with pkgtool and reinstalled the older version
and it worked fine.  Every time i do this same procedure the new one will
not work.  Did i mess things up the first time when i just installed over
3.6 without uninstalling...HOw can i fix this problem...

thanks for your help
Adam

 
 
 

installing tk4.0 over tk3.6

Post by Mac A. Co » Sat, 28 Oct 1995 04:00:00



Quote:>I installed tk3.6 and tcl7.3 and then found out there was a newer version
>tk4.0 and tcl7.4.  So i installed the new version over 3.6 and 7.3 withot
>first unistalling the older versions.  The new one did not work it said
>when i run wish that /usr/bin/wish that file not found or something like that
>even tho wish is there.  So i tried to do it again the right way so i
>uninstalled the new version with pkgtool and reinstalled the older version
>and it worked fine.  Every time i do this same procedure the new one will
>not work.  Did i mess things up the first time when i just installed over
>3.6 without uninstalling...HOw can i fix this problem...

As of Tcl 7.4 and Tk 4.0 the Tcl shell program is named tclsh7.4 .  Likewise,
as of Tk 4.0 the windowing shell is named wish4.0.  This allows the two
versions to coexist so you can make a gradual migration to the newer version.
In the future, new shells will be similarly named to track their versions.

In the future, you might want to post these kind of questions to the Tcl
newsgroup comp.lang.tcl .  There are a lot of people there that will happily
answer you questions.

Best regards,



 
 
 

1. Cannot install tk4.0 on Linux :-(

OS: Linux 1.2.8
GCC: 2.7.0

When I compile tk4.0 I get the following errors,

gcc -O -I. -I./../tcl7.4 -I/usr/X11R6/include -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DSTDC_HEADERS=1 -DTK_FILE_READ_PTR=1      -DTK_LIBRARY=\"/usr/lib/tk4.0\" tkAppInit.o libtk.a ../tcl7.4/libtcl.a -L/usr/X11R6/lib -lX11  -lieee -lm -o wish
tkMain.o(.text+0x274): undefined reference to `XSynchronize'
tkWindow.o(.text+0x1fa): undefined reference to `XOpenDisplay'
tkWindow.o(.text+0xcb3): undefined reference to `XDestroyWindow'
tkWindow.o(.text+0xd0d): undefined reference to `XDestroyIC'
tkWindow.o(.text+0xe9f): undefined reference to `XMapWindow'
tkWindow.o(.text+0xf1b): undefined reference to `XRootWindow'
tkWindow.o(.text+0xf4b): undefined reference to `XConfigureWindow'
tkWindow.o(.text+0xfa6): undefined reference to `XCreateWindow'

I get many such errors. Any idea what is the problem?

thanks

--


The Dalmatian Group Inc.        | Home page: http://www.jagunet.com/~mahesh/
  User Interface Specialists    | FAQ Maintainer of TeleUSE GUI Builder

2. Any fix for loss of mouse response?

3. TK4.1 INSTALL???

4. Q: is the directory empty ?

5. installing tk4.0 on linux

6. Can wine run Quicken for Windows 3 or 4?

7. tk3.6 w/Pixmap patches, shared lib incompatible?

8. jserv_error_exit on 'apchectl start'

9. tcl7.3/tk3.6 major problems with linux

10. tcl7/tk3.3 on Solaris2.2

11. Problems compiling tk3.2 on Solaris 2.x

12. errors compiling tk3.6p1

13. tk3.6 load, need 4.x